| Home | Libraries | People | FAQ | More

###### connection::async_close (1 of 2 overloads)

Closes the connection to the server.

###### Synopsis

    template<
        class CompletionToken>
    auto
    async_close(
        CompletionToken&& token);

###### Description

This function is only available if `Stream` satisfies the `SocketStream` concept.

Sends a quit request, performs the TLS shutdown (if required) and closes the underlying stream. Prefer this function to /root/project/libs/mysql/include/boost/mysql/connection.hpp

###### Handler signature

The handler signature for this operation is `void(boost::mysql::error_code)`.